SHEET_NAMES = [
    "Country Codes",
    "Commodities",
    "Labor Types",
    "Factor Types",
    "Primary Factor Purchases, BP",
    "Primary Factor Purchases, PP",
    "Endowment Supply Value (Net)",
    "Factor Subsidy Payments (Gross)",
    "Factor Employment Tax Rev",
    "Make Matrix, After Tax",
    "Make Matrix, Before Tax",
    "Population",
    "Net output tax",
    "Net Saving",
    "Trade, Imports, CIF Price",
    "Trade, Imports, Base Price",
    "Trade, Exports, FOB Price",
    "Trade, Exports, Base Price",
    "Margin Usage",
    "Margin Exports, BP",
    "Capital Depreciation",
    "Domestic Purchases by Firms, BP",
    "Domestic Purchases by Firms, PP",
    "Domestic Purchases by Gov, BP",
    "Domestic Purchases by Gov, PP",
    "Domestic Purchases by Inv, BP",
    "Domestic Purchases by Inv, PP",
    "Domestic Purchases by HH, BP",
    "Domestic Purchases by HH, PP",
    "Capital Stock",
    "Import Purchases, by Firms, BP",
    "Import Purchases, by Firms, PP",
    "Import Purchases, by Gov, BP",
    "Import Purchases, by Gov, PP",
    "Import Purchases, by Inv, BP",
    "Import Purchases, by Inv, PP",
    "Import Purchases, by HH, BP",
    "Import Purchases, by HH, PP",
]

COORDS_BY_SHEET = {
    "Primary Factor Purchases, BP": {
        "index": ("factor", "activity"),
        "columns": ("country",),
        "groups": ("price",),
    },
    "Primary Factor Purchases, PP": {
        "index": ("factor", "activity"),
        "columns": ("country",),
        "groups": ("price",),
    },
    "Endowment Supply Value (Net)": {
        "index": ("factor", "activity"),
        "columns": ("country",),
        "groups": None,
    },
    "Factor Subsidy Payments (Gross)": {
        "index": ("factor", "activity"),
        "columns": ("country",),
        "groups": None,
    },
    "Factor Employment Tax Rev": {
        "index": ("factor", "activity"),
        "columns": ("country",),
        "groups": None,
    },
    "Make Matrix, After Tax": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": ("tax",),
    },
    "Make Matrix, Before Tax": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": ("tax",),
    },
    "Population": {"index": ("country",), "columns": None, "groups": None},
    "Net output tax": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": None,
    },
    "Net Saving": {"index": ("country",), "columns": None, "groups": None},
    "Trade, Imports, CIF Price": {
        "index": ("commodity", "source"),
        "columns": ("destination",),
        "groups": ("trade", "tariff"),
    },
    "Trade, Imports, Base Price": {
        "index": ("commodity", "source"),
        "columns": ("destination",),
        "groups": ("trade", "tariff"),
    },
    "Trade, Exports, FOB Price": {
        "index": ("commodity", "source"),
        "columns": ("destination",),
        "groups": ("trade", "tariff"),
    },
    "Trade, Exports, Base Price": {
        "index": ("commodity", "source"),
        "columns": ("destination",),
        "groups": ("trade", "tariff"),
    },
    "Margin Usage": {
        "index": ("margin", "commodity", "source"),
        "columns": ("destination",),
        "groups": None,
    },
    "Margin Exports, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("price",),
    },
    "Capital Depreciation": {"index": ("country",), "columns": None, "groups": None},
    "Domestic Purchases by Firms, BP": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by Firms, PP": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by Gov, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by Gov, PP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by Inv, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by Inv, PP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by HH, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Domestic Purchases by HH, PP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Capital Stock": {"index": ("country",), "columns": None, "groups": None},
    "Import Purchases, by Firms, BP": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by Firms, PP": {
        "index": ("commodity", "activity"),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by Gov, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by Gov, PP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by Inv, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by Inv, PP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by HH, BP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
    "Import Purchases, by HH, PP": {
        "index": ("commodity",),
        "columns": ("country",),
        "groups": ("agent", "price"),
    },
}

SHEET_GROUPS = [
    ("Primary Factor Purchases, BP", "Primary Factor Purchases, PP"),
    ("Endowment Supply Value (Net)",),
    ("Factor Subsidy Payments (Gross)",),
    ("Factor Employment Tax Rev",),
    ("Make Matrix, After Tax", "Make Matrix, Before Tax"),
    ("Population",),
    ("Net output tax",),
    ("Net Saving",),
    (
        "Trade, Imports, CIF Price",
        "Trade, Imports, Base Price",
        "Trade, Exports, FOB Price",
        "Trade, Exports, Base Price",
    ),
    ("Margin Usage",),
    ("Margin Exports, BP",),
    ("Capital Depreciation",),
    (
        "Domestic Purchases by Firms, BP",
        "Domestic Purchases by Firms, PP",
        "Domestic Purchases by Gov, BP",
        "Domestic Purchases by Gov, PP",
        "Domestic Purchases by Inv, BP",
        "Domestic Purchases by Inv, PP",
        "Domestic Purchases by HH, BP",
        "Domestic Purchases by HH, PP",
    ),
    ("Capital Stock",),
    (
        "Import Purchases, by Firms, BP",
        "Import Purchases, by Firms, PP",
        "Import Purchases, by Gov, BP",
        "Import Purchases, by Gov, PP",
        "Import Purchases, by Inv, BP",
        "Import Purchases, by Inv, PP",
        "Import Purchases, by HH, BP",
        "Import Purchases, by HH, PP",
    ),
]
